首页 新闻 搜索 专区 学院

VS2017 安卓开发环境搭建问题,无法选择模拟器

0
悬赏园豆:80 [已解决问题] 解决于 2017-10-31 12:52

最近下载按照了VS2017,准备试试安卓app 开发

在网上搜了很多环境搭建的文章然后跟着搭建了

但现在遇到一个问题,我还安装了 模拟器并且选择了安卓版本,如下图

但是我不管怎么都在图1中选不到我的模拟器,我在网上搜索了一圈,

其中最权威的是这一篇 https://msdn.microsoft.com/en-us/library/mt228282.aspx

但是我又在注册表中找不到 Navigate to HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Android SDK Tools in the folder tree on the left.

 

请问各位大神有没有遇到过类似的情况,怎么处理的啊,不胜感激

Lionel Andrés Messi的主页 Lionel Andrés Messi | 初学一级 | 园豆:82
提问于:2017-10-15 01:06
< >
分享
最佳答案
0

是不是你的安卓项目的版本设置太高了啊,图2里的是4.4,图1里的都是7.1

收获园豆:80
新的开始 | 小虾三级 |园豆:679 | 2017-10-15 21:36

图1 是VS2017可供选择的 模拟器,如果我启动了模拟器,那个列表应该出现我启动的供我选择。

你有没有按照VS2017?

Lionel Andrés Messi | 园豆:82 (初学一级) | 2017-10-16 09:57

@Lionel Andrés Messi: 我也是用的VS2017,你在图1里选择用哪个模拟器启动,就直接启动了,不会再让你选

新的开始 | 园豆:679 (小虾三级) | 2017-10-16 14:50

@新的开始:那太好了,我的意思是这样的,我按照了模拟器嘛,然后我弄了一个安卓4.4版本的虚拟器,那我在VS2017里面写的hello word,我希望他能以安卓4.4的版本的虚拟器运行,但是我的下拉列表里面没有这个模拟器的选择项,不知道这样说你能get到我么?

Lionel Andrés Messi | 园豆:82 (初学一级) | 2017-10-16 17:52

@Lionel Andrés Messi: 你看看你的项目里这个设置是什么,我选的5.1,所以模拟器只能用5.1以上的版本,你要用4.4的模拟器,就必须设置为4.4以下才行

新的开始 | 园豆:679 (小虾三级) | 2017-10-17 13:50

@新的开始: 非常谢谢你的回复哦

我继续补充信息哈,

我当时参考了很多搭建环境的文章,其中有一篇是这个:http://www.cnblogs.com/GuZhenYin/p/6971069.html

这篇文章里面提到:”我们会发现..智能的微软爸爸早就检测到了我们的模拟器(注:一定要保证模拟器是打开的..),如图:”

那我按在好VS2017,也启动了虚拟机。但是我的图1中就是不能选择到我的虚拟机

 

然后你上面给的信息,我已经试过了,在那里是可以选择到我启动的那个虚拟机,并且可以编译通过,但是就是启动不了

下图中则是我已经安装过的4.4的模拟器,在这里可以选择到这个模拟器,但是在问题中的图一的位置无法选择

 

刚刚下定决心要研究这个开发,已经熬在这个上面很久很久了,至少4天了,仍然没有搞定,求大神一定要带我飞,不要让我的这股火灭了

Lionel Andrés Messi | 园豆:82 (初学一级) | 2017-10-17 22:26

@新的开始: 我参考的还有 

http://www.cnblogs.com/NotAnEmpty/p/7068600.html#3810611

Lionel Andrés Messi | 园豆:82 (初学一级) | 2017-10-17 22:33

@Lionel Andrés Messi: 你直接在图2那里打开4.4的模拟器呢?可以正常运行吗?

新的开始 | 园豆:679 (小虾三级) | 2017-10-18 14:20

@新的开始: 可以的,包括我后面又按照了 5.0 的模拟器,都是可以正常运行的

visual studio emulator for android 是可以正常独立运行的。

再次感谢你的耐心

Lionel Andrés Messi | 园豆:82 (初学一级) | 2017-10-18 16:04

@新的开始: 只是可以打开模拟器,模拟器可以正常运行,但是VS2017里面仍然无法选择我启动的模拟器哦

Lionel Andrés Messi | 园豆:82 (初学一级) | 2017-10-18 16:59

@新的开始: 大神,快帮帮我啊,我的开发热情持续急剧生无可恋的下降中

Lionel Andrés Messi | 园豆:82 (初学一级) | 2017-10-24 15:54

@Lionel Andrés Messi: 我也就弄过两个程序,不是大神。。。看来博问里说不清,还是加Q吧376116826

新的开始 | 园豆:679 (小虾三级) | 2017-10-25 10:00
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册